Package org.apache.commons.math3.stat.interval

# Class AgrestiCoullInterval

java.lang.Object
org.apache.commons.math3.stat.interval.AgrestiCoullInterval

All Implemented Interfaces:
  `BinomialConfidenceInterval`

public class AgrestiCoullInterval extends Object implements BinomialConfidenceInterval
Implements the Agresti-Coull method for creating a binomial proportion confidence interval.

Since:
  3.3
See Also:
  - Agresti-Coull interval (Wikipedia)

## Constructor Summary

Constructors
Constructor
Description
`AgrestiCoullInterval()`

## Method Summary

Modifier and Type
Method
Description
`ConfidenceInterval`
`createInterval(int numberOfTrials, int numberOfSuccesses, double confidenceLevel)`
Create a confidence interval for the true probability of success of an unknown binomial distribution with the given observed number of trials, successes and confidence level.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AgrestiCoullInterval

public AgrestiCoullInterval()

## Method Details

### createInterval

public ConfidenceInterval createInterval(int numberOfTrials, int numberOfSuccesses, double confidenceLevel)
Create a confidence interval for the true probability of success of an unknown binomial distribution with the given observed number of trials, successes and confidence level.

Preconditions:

- `numberOfTrials` must be positive
- `numberOfSuccesses` may not exceed `numberOfTrials`
- `confidenceLevel` must be strictly between 0 and 1 (exclusive)

Specified by:
  `createInterval` in interface `BinomialConfidenceInterval`
Parameters:
  `numberOfTrials` - number of trials
  `numberOfSuccesses` - number of successes
  `confidenceLevel` - desired probability that the true probability of success falls within the returned interval
Returns:
  Confidence interval containing the probability of success with probability `confidenceLevel`